Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# HTTPInputSource Class Reference
[IO core interfaces]

Inheritance diagram for HTTPInputSource:

## Detailed Description

Implements reading from HTTP URLs.

Implemented only for win32 systems using wininet API.

Todo:
  UNIX version...

## Public Member Functions
| HTTPInputSource (const String *basePath, HTTPInputSource *base)
| Creates stream from http protocol url.
const String * | getLocation () const
const byte * | openStream ()
void | closeStream ()
int | length () const
## Protected Member Functions
InputSource * | createRelative (const String *relPath)

## Constructor & Destructor Documentation

HTTPInputSource::HTTPInputSource | ( | const String * | basePath,
|  | HTTPInputSource * | base
| ) |

  | Creates stream from http protocol url. Parameters:
  | basePath | URL to open (can be relative).
  | base | Parent input source, to use as base url for relative URLs.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:13 2006 by doxygen 1.4.6.